org.apache.ignite.internal.plugin

## Interface IgniteLogInfoProvider

All Known Implementing Classes:
  IgniteLogInfoProviderImpl

    public interface IgniteLogInfoProvider

Pluggable Ignite component that is responsible for printing custom information during the Ignite lifecycle start phase. The Ignite info is loaded using JDK `ServiceLoader`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `ackKernalInited(IgniteLogger log, IgniteConfiguration cfg)`
`void` `ackKernalStarted(IgniteLogger log, Ignite ignite)`
`void` `ackKernalStopped(IgniteLogger log, Ignite ignite, boolean err)`
`void` `ackNodeBasicMetrics(IgniteLogger log, Ignite ignite)`
`void` `ackNodeDataStorageMetrics(IgniteLogger log, Ignite ignite)`
`void` `ackNodeMemoryStatisticsMetrics(IgniteLogger log, Ignite ignite)`

### Method Detail

#### ackKernalInited

    void ackKernalInited(IgniteLogger log,
                         IgniteConfiguration cfg)

Parameters:
  `log` - Ignite logger.
  `cfg` - Ignite configuration.

#### ackKernalStarted

    void ackKernalStarted(IgniteLogger log,
                          Ignite ignite)

Parameters:
  `log` - Ignite logger.
  `ignite` - Ignite instance.

#### ackKernalStopped

    void ackKernalStopped(IgniteLogger log,
                          Ignite ignite,
                          boolean err)

Parameters:
  `log` - Ignite logger.
  `ignite` - Ignite instance.
  `err` - `True` if error occurred during the Ignite instance stop process.

#### ackNodeBasicMetrics

    void ackNodeBasicMetrics(IgniteLogger log,
                             Ignite ignite)

Parameters:
  `log` - Ignite logger.
  `ignite` - Ignite instance.

#### ackNodeDataStorageMetrics

    void ackNodeDataStorageMetrics(IgniteLogger log,
                                   Ignite ignite)

Parameters:
  `log` - Ignite logger.
  `ignite` - Ignite instance.

#### ackNodeMemoryStatisticsMetrics

    void ackNodeMemoryStatisticsMetrics(IgniteLogger log,
                                        Ignite ignite)

Parameters:
  `log` - Ignite logger.
  `ignite` - Ignite instance.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023